Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
assetmgrmodel::AssetStrip::TagEvent Struct Reference

Event: A tag was added or removed. More...

`import <AssetStrip.idl;`

Inheritance diagram for assetmgrmodel::AssetStrip::TagEvent:

## Public Attributes
vector< TagChangeInfo > | tags
| Affected tags.
vector< TagInfo > | allTags
| New list of detected tags after change.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A tag was added or removed.

Definition at line 147 of file AssetStrip.idl.

## Member Data Documentation

## ◆ allTags

vector<TagInfo> assetmgrmodel::AssetStrip::TagEvent::allTags

New list of detected tags after change.

Definition at line 149 of file AssetStrip.idl.

## ◆ tags

vector<TagChangeInfo> assetmgrmodel::AssetStrip::TagEvent::tags

Affected tags.

Definition at line 148 of file AssetStrip.idl.

The documentation for this struct was generated from the following file:

- AssetStrip.idl